<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReputationFormulas](./bitburner.reputationformulas.md) &gt; [repFromDonation](./bitburner.reputationformulas.repfromdonation.md)

## ReputationFormulas.repFromDonation() method

Calculate how much rep would be gained.

**Signature:**

```typescript
repFromDonation(amount: number, player: Person): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  amount | number | Amount of money donated |
|  player | [Person](./bitburner.person.md) | Player info, typically from [getPlayer](./bitburner.ns.getplayer.md) |

**Returns:**

number

